Name:           perl-App-cpm
Version:        0.116
Release:        1%{?dist}
Summary:        Fast CPAN module installer
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/App-cpm/
Source0:        http://www.cpan.org/authors/id/S/SK/SKAJI/App-cpm-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
# BuildRequires:  perl(Carton::Snapshot)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(CPAN::DistnameInfo)
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::YAML)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::pushd)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(HTTP::Tiny)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(JSON::PP) >= 2.27300
BuildRequires:  perl(List::Util)
# BuildRequires:  perl(local::lib)
BuildRequires:  perl(Menlo::CLI::Compat)
BuildRequires:  perl(Module::CoreList)
# BuildRequires:  perl(Module::CPANfile)
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(utf8)
BuildRequires:  perl(version)
# Tests only
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(JSON::PP) >= 2.27300
Requires:       perl(local::lib)
Requires:       perl(Module::CPANfile)
Suggests:       perl(Carton::Snapshot)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(JSON::PP\\)$

%description
cpm is a fast CPAN module installer, which uses Menlo::CLI::Compat in
parallel.

%prep
%setup -q -n App-cpm-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes
%{_bindir}/cpm
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Mon May 16 2016 Petr Pisar <ppisar@redhat.com> - 0.116-1
- 0.116 bump

* Sun Feb 28 2016 Petr Šabata <contyk@redhat.com> - 0.115-1
- 0.115 bump

* Mon Feb 08 2016 Petr Šabata <contyk@redhat.com> - 0.114-1
- 0.114 bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.113-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Petr Šabata <contyk@redhat.com> - 0.113-1
- 0.113 bump

* Mon Dec 21 2015 Petr Šabata <contyk@redhat.com> - 0.112-1
- 0.112 bump

* Tue Dec 08 2015 Petr Šabata <contyk@redhat.com> 0.111-1
- Initial packaging
